Bug 2003705 - [RFE] Add task to set host parameters from Puppet data
Summary: [RFE] Add task to set host parameters from Puppet data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Puppet
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.10.0
Assignee: Ondřej Ezr
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-13 13:34 UTC by Ondřej Ezr
Modified: 2021-11-16 14:13 UTC (History)
2 users (show)

Fixed In Version: foreman-2.5.2.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:13:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33180 0 Normal Closed Add task to set host parameters from Puppet data 2021-09-13 13:34:14 UTC
Red Hat Issue Tracker SAT-5121 0 None None None 2021-09-13 13:39:03 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:13:58 UTC

Description Ondřej Ezr 2021-09-13 13:34:13 UTC
These parameters should be translated by the task:

- server
- ca_server
- environment

Comment 1 Ondřej Ezr 2021-09-13 13:34:17 UTC
Created from redmine issue https://projects.theforeman.org/issues/33180

Comment 2 Ondřej Ezr 2021-09-13 13:34:18 UTC
Upstream bug assigned to oezr@redhat.com

Comment 6 Vladimír Sedmík 2021-10-06 12:48:35 UTC
Verified at Sat 6.10.0 snap 21:
1) All 3 attributes (or only those currently defined in host or hostgroup) were successfully added to the host and hostgroup parameters.
2) A warning was displayed when the parameter already existed and it's current value differed from the attribute value. The original param value was left untouched.

Comment 9 errata-xmlrpc 2021-11-16 14:13:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.